@import '../../../theme/default.less';
@import "~antd/lib/steps/style/index";
@steps-prefix-cls: ~'@{ant-prefix}-steps';
@finish-tail-color: @success-color;
@finish-icon-color: @success-color;
@steps-icon-size: 32px;

.@{steps-prefix-cls}-item {
  &-process &-icon {
    background: @process-icon-color;
    box-shadow: @shadow-2-down;
    > .@{steps-prefix-cls}-icon {
      color: @process-icon-text-color;
    }
  }
}

.steps-vertical() {
  > .@{steps-prefix-cls}-item > .@{steps-prefix-cls}-item-tail {
    padding: @steps-icon-size - 8px 0 0;
  }
}

.right .@{steps-prefix-cls}-item > .@{steps-prefix-cls}-item-tail {
  width: 100%;
  &:after {
    float: right !important;
    margin-right: 39px;
  }
}

.right .@{steps-prefix-cls}-item {
  &-icon {
    float: right;
  }
}
